summaryrefslogtreecommitdiff
path: root/tests/chmod/equals
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/chmod/equals
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/chmod/equals')
-rwxr-xr-xtests/chmod/equals4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chmod/equals b/tests/chmod/equals
index 2f833bea3..95a1e6587 100755
--- a/tests/chmod/equals
+++ b/tests/chmod/equals
@@ -19,7 +19,7 @@ touch f || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -38,4 +38,4 @@ for src in u g o; do
done
done
-(exit $fail); exit
+(exit $fail); exit $fail